Bug 126255 - /sbin/dhclient-script must not use '/usr/bin/expr'
/sbin/dhclient-script must not use '/usr/bin/expr'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-17 21:26 EDT by Enrico Scholz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 18:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-06-17 21:26:59 EDT
Description of problem:

/sbin/dhclient-script contains

| release=`expr $release : '\(.*\)\..*'`

'expr' is located in /usr/bin which might be mounted by NFS and not
available at this time.

Would it help to use '/sbin/kernelversion' instead of?


Version-Release number of selected component (if applicable):

dhclient-3.0.1rc13-1
Comment 1 Daniel Walsh 2004-06-23 17:53:40 EDT
fixed in dhcp-3.0.1rc14-4.src.rpm
Comment 2 John Flanagan 2004-12-21 14:41:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.